Plantage système : Unable to configure handler 'file'

Mon serveur YunoHost

Matériel: Vieil ordi
Version de YunoHost: 11.0.9
J’ai accès à mon serveur : En SSH | Par la webadmin |
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non

Bonjour,
Je vais être bref, je n’ai plus accès à aucun service.

Voici tout ce à quoi j’arrive

Traceback (most recent call last):
  File "/usr/lib/python3.9/logging/config.py", line 564, in configure
    handler = self.configure_handler(handlers[name])
  File "/usr/lib/python3.9/logging/config.py", line 745, in configure_handler
    result = factory(**kwargs)
  File "/usr/lib/python3.9/logging/__init__.py", line 1142, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib/python3.9/logging/__init__.py", line 1171, in _open
    return open(self.baseFilename, self.mode, encoding=self.encoding,
OSError: [Errno 30] Read-only file system: '/var/log/yunohost/yunohost-cli.log'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/bin/yunohost", line 77, in <module>
    yunohost.cli(
  File "/usr/lib/python3/dist-packages/yunohost/__init__.py", line 35, in cli
    init_logging(interface="cli", debug=debug, quiet=quiet)
  File "/usr/lib/python3/dist-packages/yunohost/__init__.py", line 168, in init_logging
    configure_logging(logging_configuration)
  File "/usr/lib/python3/dist-packages/moulinette/utils/log.py", line 67, in configure_logging
    dictConfig(logging_config)
  File "/usr/lib/python3.9/logging/config.py", line 809, in dictConfig
    dictConfigClass(config).configure()
  File "/usr/lib/python3.9/logging/config.py", line 571, in configure
    raise ValueError('Unable to configure handler '
ValueError: Unable to configure handler 'file'
root@yacoulet:/home/polmat# yunohost -v
Traceback (most recent call last):
  File "/usr/lib/python3.9/logging/config.py", line 564, in configure
    handler = self.configure_handler(handlers[name])
  File "/usr/lib/python3.9/logging/config.py", line 745, in configure_handler
    result = factory(**kwargs)
  File "/usr/lib/python3.9/logging/__init__.py", line 1142, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib/python3.9/logging/__init__.py", line 1171, in _open
    return open(self.baseFilename, self.mode, encoding=self.encoding,
OSError: [Errno 30] Read-only file system: '/var/log/yunohost/yunohost-cli.log'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/bin/yunohost", line 77, in <module>
    yunohost.cli(
  File "/usr/lib/python3/dist-packages/yunohost/__init__.py", line 35, in cli
    init_logging(interface="cli", debug=debug, quiet=quiet)
  File "/usr/lib/python3/dist-packages/yunohost/__init__.py", line 168, in init_logging
    configure_logging(logging_configuration)
  File "/usr/lib/python3/dist-packages/moulinette/utils/log.py", line 67, in configure_logging
    dictConfig(logging_config)
  File "/usr/lib/python3.9/logging/config.py", line 809, in dictConfig
    dictConfigClass(config).configure()
  File "/usr/lib/python3.9/logging/config.py", line 571, in configure
    raise ValueError('Unable to configure handler '
ValueError: Unable to configure handler 'file'
root@yacoulet:/home/polmat# yunohost backup list
Traceback (most recent call last):
  File "/usr/lib/python3.9/logging/config.py", line 564, in configure
    handler = self.configure_handler(handlers[name])
  File "/usr/lib/python3.9/logging/config.py", line 745, in configure_handler
    result = factory(**kwargs)
  File "/usr/lib/python3.9/logging/__init__.py", line 1142, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib/python3.9/logging/__init__.py", line 1171, in _open
    return open(self.baseFilename, self.mode, encoding=self.encoding,
OSError: [Errno 30] Read-only file system: '/var/log/yunohost/yunohost-cli.log'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/bin/yunohost", line 77, in <module>
    yunohost.cli(
  File "/usr/lib/python3/dist-packages/yunohost/__init__.py", line 35, in cli
    init_logging(interface="cli", debug=debug, quiet=quiet)
  File "/usr/lib/python3/dist-packages/yunohost/__init__.py", line 168, in init_logging
    configure_logging(logging_configuration)
  File "/usr/lib/python3/dist-packages/moulinette/utils/log.py", line 67, in configure_logging
    dictConfig(logging_config)
  File "/usr/lib/python3.9/logging/config.py", line 809, in dictConfig
    dictConfigClass(config).configure()
  File "/usr/lib/python3.9/logging/config.py", line 571, in configure
    raise ValueError('Unable to configure handler '
ValueError: Unable to configure handler 'file' ```

…et je suis désolé, mais je n'y comprends goutte. Qu'est-ce que j'ai fait pour en arriver là ? Je ne sais plus … j'avoue apprendre en bricolant mais je ne me rappelle pas avoir bidouiller. Y a bien eu une coupure d'électricité sans que j'ai pu éteindre le serveur en commande mais il est reparti sans problème en le rallumant.
Maintenant, j'ai bien besoin d'aide.
Merci d'avance.

Ton système de fichier est passé en lecture seule. Souvent ça peut indiquer un problème matériel, typiquement le disque qui commence à être corrompu. Potentiellement un reboot peut aider à réparer temporairement le problème, mais il finira par revenir (mais bon, difficile d’être catégorique avec ce genre de message d’erreur, c’est souvent un symptome d’un problème mais ça ne permet pas de savoir quel est le vrai problème à 100% quoi)

ça peut être juste des inodes corrompus à cause de l’arrêt brutal :

…et je suis désolé, mais je n’y comprends goutte. Qu’est-ce que j’ai fait pour en arriver là ? Je ne sais plus … j’avoue apprendre en bricolant mais je ne me rappelle pas avoir bidouiller. Y a bien eu une coupure d’électricité sans que j’ai pu éteindre le serveur en commande mais il est reparti sans problème en le rallumant

donc oui, tenter un reboot

Merci à vous deux pour vos réponses rapides. Cela m’encourage à persévérer bien que je me sente au dépourvu, et pas qu’un peu.
Peut-être bien que le vieil ordi est trop vieux. Ce soir, il ne répond plus rien, plus d’accès à rien, ni admin, ni ssh. Ha si, le ventilateur tourne son horrible ronron, et la loupiote bleu sale… vient de s’éteindre. Je débranche le condamné.
Je vais quand même essayer en rebranchant. Je me doute que la méthode est brutale mais je n’ai rien à perdre.
Ventilation, désertion!
Reste plus qu’à trouver un nouvel vieil ordi un peu moins vieil.

1 Like

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.